petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetNumberFunctionEvals

Gets the number of user provided function evaluations done by SNES.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetNumberFunctionEvals(SNES snes, PetscInt *nfuncs)

Not Collective Many br

### Input Parameter

snes -SNES context Many br

### Output Parameter

nfuncs -number of evaluations Many br

Many br

Notes: Reset every time SNESSolve is called unless SNESSetCountersReset() is used. Many br

### Keywords

SNES, nonlinear, get, maximum, unsuccessful, steps

### See Also

SNESGetMaxLinearSolveFailures(), SNESGetLinearSolveIterations(), SNESSetMaxLinearSolveFailures(), SNESGetLinearSolveFailures(), SNESSetCountersReset()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages